<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Frama-C</h1>

<p>
Frama-C &mdash; Framework for Static Analysis of the C language
</p>

<h2>Core</h2>

<ul>
<li>
C source code &rarr; Abstract Syntax Tree
<li>
ACSL &mdash; ANSI/ISO C Specification Language <br>
<code>/*@ ... */</code>
</ul>

<h2>Plugins</h2>

<p>
Annotate syntax trees with static analysis.
</p>

<ul>
<li> WP &mdash; <a href="http://www.cs.umd.edu/~mvz/handouts/weakest-precondition.pdf">Weakest Precondition</a>
<li> Value analysis, Jessie, InOut, Metrics, Aorai, PathCrawler, Spare code, ...
<li> several in-house plugins at Atos, Airbus, Dassault, CEA, ...
</ul>
